lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Steven Rowe (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (SOLR-2421) Remove solr/lib/geronimo-stax-api_1.0_spec-1.0.1.jar - Stax API 1.0 is included in JAXP 1.4, which is included in Java 1.6
Date Fri, 20 May 2011 20:26:47 GMT

     [ https://issues.apache.org/jira/browse/SOLR-2421?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Steven Rowe updated SOLR-2421:
------------------------------

    Attachment: SOLR-2421.patch

Patch to remove this unnecessary dependency.  All tests pass.  Committing shortly.

> Remove solr/lib/geronimo-stax-api_1.0_spec-1.0.1.jar - Stax API 1.0 is included in JAXP
1.4, which is included in Java 1.6
> --------------------------------------------------------------------------------------------------------------------------
>
>                 Key: SOLR-2421
>                 URL: https://issues.apache.org/jira/browse/SOLR-2421
>             Project: Solr
>          Issue Type: Improvement
>          Components: Build
>    Affects Versions: 4.0
>            Reporter: Steven Rowe
>            Priority: Trivial
>             Fix For: 4.0
>
>         Attachments: SOLR-2421.patch
>
>
> Uwe wrote on #lucene IRC:
> {noformat}
> stax api 1.0 is also included in xmlapis for jaxp 1.4
> in solr 3.x the geromino stuff is needed
> because its java 5 only and java 5 has no javax.xml.stream stuff
> this geronimo blabla file is just containing those abstrcat interfaces and factory classes
> for trunk its included in java 6
> {noformat}

--
This message is automatically generated by JIRA.
For more information on JIRA, see: http://www.atlassian.com/software/jira

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: dev-help@lucene.apache.org


Mime
View raw message